resource "proxmox_vm_qemu" "worker01test" {
  count            = 1
  vmid             = 211
  name             = "worker01.teststaging.example.com"
  target_node      = "prox05"
  clone            = "debian-cloudinit"
  os_type          = "cloud-init"
  cores            = 4
  sockets          = "1"
  cpu              = "kvm64"
  memory           = 4096
  scsihw           = "virtio-scsi-pci"
  bootdisk         = "virtio0"

  disk {
    id             = 0
    size           = 32
    type           = "virtio"
    storage        = "local"
    iothread       = true
  }

  network {
    id             = 0
    model          = "virtio"
    bridge         = "vmbr0"
  }

  lifecycle {
    ignore_changes  = [
      network,
    ]
  }

  # Cloud Init Settings
  #ipconfig0 = "ip=212.83.177.200/24,gw=10.10.10.1"
  cicustom = "network=local:snippets/networkworker01teststaging.yaml"
  sshkeys = <<EOF
  ${var.ansible_ssh_key}
  EOF
}
