module "ecr" {
  source = "../ecr_repository"

  repository_name = "${var.prefix}-${var.repo_name}"

  repository_encryption_type = var.ecr_encryption
  repository_kms_key         = module.kms.key_arn
  image_tag_mutability       = var.is_image_mutable
  scan_on_push               = var.scan_enabled
  force_delete               = var.delete_enabled
  lifecycle_policy           = var.ecr_policy

  tags = var.ecr_tags

}