module "kubernetes" {
  source                = "../kubernetes"
  region                = var.aws_region
  vpc_id                = module.vpc.vpc_id
  vpc_cidr              = var.cidr
  efs_subnet_ids        = module.vpc.private_subnets
  eks_cluster_name      = module.eks_cluster.cluster_name
  eks_cluster_endpoint  = module.eks_cluster.endpoint
  eks_oidc_url          = module.eks_cluster.oidc_url
  eks_ca_certificate    = module.eks_cluster.ca_certificate
  namespace             = var.kubernetes_namespace
  deployment_name       = var.deployment_name
  replicas              = var.deployment_replicas
  labels                = var.app_labels
  db_name               = var.database_name
  db_address            = module.aurora.cluster_endpoint
  db_user               = var.db_master_username
  db_pass               = random_password.password.result
  namespace_depends_on  = [ module.fargate.id , module.eks_node_group.id ]
}
