module "eventbridge" {
  source = "../eventbridge"

  create = var.create_eventbridge_module

  create_role = var.event_role_enabled
  create_bus  = var.event_bus_enabled

  rules = {
    "${var.prefix}-action" = {
      description = var.event_rule_description
      event_pattern = jsonencode({
        "detail-type" : [
          "AWS API Call via CloudTrail"
        ],
        "detail" : {
          "eventSource" : ["${module.kms.key_arn}"],
          "eventName" : var.event_name
      } })
    }
  }

  targets = {
    "${var.prefix}-action" = [{
      name = var.target_name
      arn  = module.sns_topic.sns_topic_arn
    }]
  }
}
